//////////////////////////////////////////////////////////////////////////////////
#include <PhaseGen1_header.h>
//////////////////////////////////////////////////////////////////////////////////
void PhaseGen1_SetOffset( int offset )
{ int pp, ps; 
	pp= PhaseGen1_PWM_ReadPeriod();
	if( offset>pp-1 ) offset= pp-1;
	if( offset<1-pp ) offset= 1-pp;
	if( offset>=0 ) ps= pp-1;
	if( offset< 0 ) ps= 0;
	PhaseGen1_PWM_WriteCompare1( ps );
	PhaseGen1_PWM_WriteCompare2( ps-offset );
}

//////////////////////////////////////////////////////////////////////////////////
void PhaseGen1_SetOffset2( int p1, int p2 )
{ int pp, pc; 
	PhaseGen1_PWM_WriteCompare1( p1 );
	PhaseGen1_PWM_WriteCompare2( p2 );
}

//////////////////////////////////////////////////////////////////////////////////
void PhaseGen1_Start( int offset )
{
	PhaseGen1_PWM_Start();
	PhaseGen1_ControlEnable_Write(0);
	PhaseGen1_SetOffset( offset );
	PhaseGen1_ControlEnable_Write(1);
	PhaseGen1_PWM_Start();
}

//////////////////////////////////////////////////////////////////////////////////
