//////////////////////////////////////////////////////////////////////////////////
#include <`$INSTANCE_NAME`_header.h>
#define UpDn_PERIOD  10000		// period of UpDnCounter
//////////////////////////////////////////////////////////////////////////////////
CY_ISR( `$INSTANCE_NAME`_DAC_ISR )
{ static int Vx, Vz;
	
	Vx= (UpDn_PERIOD/2) - `$INSTANCE_NAME`_UpDnCounter_ReadCounter();
	Vz= (9*Vz+Vx)/10;		// smoozing  
	if(Vz>120) Vz= 120;  if(Vz< -120) Vz= -120;
	`$INSTANCE_NAME`_ControlDAC_Write(Vz+128);
	`$INSTANCE_NAME`_UpDnCounter_WriteCounter(UpDn_PERIOD/2);
}
//////////////////////////////////////////////////////////////////////////////////
void `$INSTANCE_NAME`_Start(void)
{
	`$INSTANCE_NAME`_ISR_DAC_StartEx(`$INSTANCE_NAME`_DAC_ISR);
	`$INSTANCE_NAME`_iDAC_Start();
	`$INSTANCE_NAME`_UpDnCounter_Start();
	`$INSTANCE_NAME`_UpDnCounter_WritePeriod( UpDn_PERIOD );
	`$INSTANCE_NAME`_UpDnCounter_WriteCounter(UpDn_PERIOD/2);
	`$INSTANCE_NAME`_ControlDAC_Write(128);
}
//////////////////////////////////////////////////////////////////////////////////
