//////////////////////////////////////////////////////////////////////////////////
#include <PhDet1_header.h>
#define UpDn_PERIOD  10000		// period of UpDnCounter
//////////////////////////////////////////////////////////////////////////////////
CY_ISR( PhDet1_DAC_ISR )
{ static int Vx, Vz;
	
	Vx= (UpDn_PERIOD/2) - PhDet1_UpDnCounter_ReadCounter();
	Vz= (9*Vz+Vx)/10;		// smoozing  
	if(Vz>120) Vz= 120;  if(Vz< -120) Vz= -120;
	PhDet1_ControlDAC_Write(Vz+128);
	PhDet1_UpDnCounter_WriteCounter(UpDn_PERIOD/2);
}
//////////////////////////////////////////////////////////////////////////////////
void PhDet1_Start(void)
{
	PhDet1_ISR_DAC_StartEx(PhDet1_DAC_ISR);
	PhDet1_iDAC_Start();
	PhDet1_UpDnCounter_Start();
	PhDet1_UpDnCounter_WritePeriod( UpDn_PERIOD );
	PhDet1_UpDnCounter_WriteCounter(UpDn_PERIOD/2);
	PhDet1_ControlDAC_Write(128);
}
//////////////////////////////////////////////////////////////////////////////////
