//////////////////////////////////////////////////////////////////////////////////
#ifndef _GLOBAL_H_
#define _GLOBAL_H_
//////////////////////////////////////////////////////////////////////////////////
#include <device.h>
#include <string.h>
#include <stdlib.h>
//////////////////////////////////////////////////////////////////////////////////
#define  true   -1
#define  false  0
//////////////////////////////////////////////////////////////////////////////////
typedef unsigned char   BOOL;
typedef unsigned char   byte;
typedef unsigned short  word;
typedef unsigned char   LONG;
//////////////////////////////////////////////////////////////////////////////////
#define ISR_Timer_RERIOD  8
extern volatile long  SystemTimer;
extern volatile short TimeOut;
//////////////////////////////////////////////////////////////////////////////////
long GetTimer(void);
void StartTimer(void);
//////////////////////////////////////////////////////////////////////////////////
#define ON (port, bit) (port) |=  (1 << (bit))
#define OFF(port, bit) (port) &= ~(1 << (bit))
//////////////////////////////////////////////////////////////////////////////////
byte Switch(void);
//////////////////////////////////////////////////////////////////////////////////
   enum ASCII
   {	NUL=	0x00,
   		CR  =	0x0D,
		ACK=	0x06,
		NAK=	0x15,
		SYN=	0x16,
		ESC=	0x1B,
		SPC=	0x20
	};
//////////////////////////////////////////////////////////////////////////////////
#endif
//////////////////////////////////////////////////////////////////////////////////
