//////////////////////////////////////////////////////////////////////////////////
#include <Global.h>
//////////////////////////////////////////////////////////////////////////////////
#define PHASE_RANGE  35		// phase sweep range, 35 for 120deg around
//////////////////////////////////////////////////////////////////////////////////
int main(void)
{ int i;
	CyGlobalIntEnable;		// Enable Global Interrupts 
 	
	PhDet1_Start(); 		// Start Phase detector 
	PhaseGen1_Start( 0 ); 	// start phase generator (TEST)
	CyDelay(10);		

	while(1) for(i=-PHASE_RANGE;i<=PHASE_RANGE;i++)	// sweep phase
	{	if( i==-PHASE_RANGE )
			PhaseGen1_Start( i ); 		// phase genarator restart
		else
			PhaseGen1_SetOffset( i );	// change phase offset
		
		if(i==-PHASE_RANGE) LED2_Write(1); else LED2_Write(0); 
		CyDelay(2);		
	}
}	
//////////////////////////////////////////////////////////////////////////////////
